BC_VAR_PROJECT_NAME=ox
BC_VAR_PROJECT_NAME_CAP=Ox
BC_VAR_DEVENV_ROOT=util
BUILDCORE_PATH=deps/buildcore
include ${BUILDCORE_PATH}/base.mk

.PHONY: git-setup-buildcore-remote
git-setup-buildcore-remote:
	git remote add -f buildcore-master git@git.drinkingtea.net:drinkingtea/buildcore.git

.PHONY: git-pull-buildcore
git-pull-buildcore:
	git fetch buildcore-master master
	git subtree pull --prefix deps/buildcore buildcore-master master --squash

.PHONY: git-push-buildcore
git-push-buildcore:
	git subtree push --prefix=deps/buildcore buildcore-master master
